Skip to content
View as Markdown

GET Get Campaign Contacts by Segment​

GET
/campaigns/{id}/contacts-by-segment

Get a paginated list of contacts that match the campaign's recipient segment settings. Supports searching by name/email and sorting. Each contact includes their associated lists and tags.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Query Parameters

search

Search contacts by name or email.

Type
string
sort_by

Column to sort by.

Type
string
Default
"id"
sort_type

Sort direction.

Type
string
Valid values
"asc""desc"
Default
"desc"
per_page

Number of results per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Segmented contacts retrieved successfully.

application/json
JSON
{
"subscribers": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"email": "string",
"first_name": "string",
"last_name": "string",
"status": "string",
"contact_type": "string",
"created_at": "string",
"lists": [
{
"id": 0,
"title": "string"
}
],
"tags": [
{
"id": 0,
"title": "string"
}
]
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI